/finance/purchase_invoice/{id}

Get a purchase invoice by id

Get a finance journal with the type 'purchase_invoice'

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
idintegerYespurchase invoice ID
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/purchase_invoice/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
app.PurchaseInvoiceapplication/json
Example
{
  "accounting_contact_id": 123,
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {...}
  ],
  "bank_account": {...},
  "categories": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "currency": "AED",
  "currency_gross_total": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_of_receipt": 123,
  "date_payment": 123,
  "description": "string",
  "estimates": [
    {...}
  ],
  "external": [
    {...}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "gross_total": 123.45,
  "id": 123,
  "identification_code": "string",
  "invoices": [
    {...}
  ],
  "job": {...},
  "job_id": 123,
  "job_id_suggestions": [
    123.45
  ],
  "lang": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "pagina_number": "string",
  "payed_amount_credit": 123.45,
  "payment_approval_user_id": 123,
  "payment_method": {...},
  "payment_method_id": 123,
  "payment_status": "offen",
  "payments": [
    {...}
  ],
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {...},
  "person_id": 123,
  "print_version_show_period_of_performance": 123,
  "purchase_invoice_attachment": {...},
  "purchase_order": {...},
  "purchase_order_id": 123,
  "purchase_orders": [
    {...}
  ],
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "NEW",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": {...}
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}